---
layout: docs
page_title: 'Commands: operator raft remove-peer'
description: |
  Remove a Nomad server from the Raft configuration.
---

# Command: operator raft remove-peer

Remove the Nomad server with given address from the Raft configuration.

There are rare cases where a peer may be left behind in the Raft quorum even
though the server is no longer present and known to the cluster. This command
can be used to remove the failed server so that it is no longer affects the Raft
quorum. If the server still shows in the output of the [`nomad server members`]
command, it is preferable to clean up by running [`nomad server force-leave`]
instead of this command.

See the [Outage Recovery] guide for some examples of how this command is used.
For an API to perform these operations programmatically, please see the
documentation for the [Operator] endpoint.

## Usage

```plaintext
nomad operator raft remove-peer [options]
```

If ACLs are enabled, this command requires a management token.

## General Options

@include 'general_options_no_namespace.mdx'

## Remove Peer Options

- `-peer-address`: Remove a Nomad server with given address from the Raft
  configuration. The format is "IP:port"

- `-peer-id`: Remove a Nomad server with the given ID from the Raft
  configuration. The format is "id"

[`nomad server force-leave`]: /nomad/docs/commands/server/force-leave 'Nomad server force-leave command'
[`nomad server members`]: /nomad/docs/commands/server/members 'Nomad server members command'
[operator]: /nomad/api-docs/operator 'Nomad Operator API'
[outage recovery]: /nomad/tutorials/manage-clusters/outage-recovery
